package ru.ulstu.extractor.branch.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import ru.ulstu.extractor.branch.model.Branch;
import ru.ulstu.extractor.gitrepository.model.GitRepository;

import java.util.List;

public interface BranchRepository extends JpaRepository<Branch, Integer> {
    Branch findByGitRepositoryAndName(GitRepository gitRepository, String name);

    @Query("select count(c) from Commit c LEFT JOIN c.branch b  LEFT JOIN GitRepository r where r.id = ?1 AND b.name = ?2")
    int getCommitsCount(Integer repositoryId, String name);

    List<Branch> findByGitRepositoryId(Integer repositoryId);

    Page<Branch> findByGitRepository(GitRepository gitRepository, Pageable pageable);
}
