/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.gitrepository.controler;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import ru.ulstu.extractor.gitrepository.repository.GitRepositoryRepository;
import springfox.documentation.annotations.ApiIgnore;

import static ru.ulstu.extractor.core.Route.DELETE_INDEXED_REPOSITORY;
import static ru.ulstu.extractor.core.Route.LIST_INDEXED_REPOSITORIES;

@Controller
@ApiIgnore
public class RepositoryController {
    private final GitRepositoryRepository gitRepositoryRepository;

    public RepositoryController(GitRepositoryRepository gitRepositoryRepository) {
        this.gitRepositoryRepository = gitRepositoryRepository;
    }

    @GetMapping(LIST_INDEXED_REPOSITORIES)
    public String indexNewRepo(Model model) {
        model.addAttribute("repositories", gitRepositoryRepository.findAll());
        return LIST_INDEXED_REPOSITORIES;
    }

    @GetMapping(DELETE_INDEXED_REPOSITORY)
    public String deleteRepo(Model model,
                             @RequestParam Integer id) {
        gitRepositoryRepository.deleteById(id);
        model.addAttribute("repositories", gitRepositoryRepository.findAll());
        return "redirect:/" + LIST_INDEXED_REPOSITORIES;
    }
}
