/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.gitrepository.model;

import org.springframework.data.domain.Page;
import ru.ulstu.extractor.model.Commit;

public class FilterForm {
    private String filter;
    private String repositoryUrl;
    private String branchName;
    private Integer branchId;
    private String author;
    private Boolean entity;
    private Page<Commit> commitsPage;

    public FilterForm() {
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public FilterForm(String url) {
        this.repositoryUrl = url;
    }

    public String getFilter() {
        return filter;
    }

    public void setFilter(String filter) {
        this.filter = filter;
    }

    public Page<Commit> getCommitsPage() {
        return commitsPage;
    }

    public void setCommitsPage(Page<Commit> commitsPage) {
        this.commitsPage = commitsPage;
    }

    public String getRepositoryUrl() {
        return repositoryUrl;
    }

    public void setRepositoryUrl(String repositoryUrl) {
        this.repositoryUrl = repositoryUrl;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public Boolean getEntity() {
        return entity;
    }

    public void setEntity(Boolean entity) {
        this.entity = entity;
    }

    public Integer getBranchId() {
        return branchId;
    }

    public void setBranchId(Integer branchId) {
        this.branchId = branchId;
    }

    @Override
    public String toString() {
        return "FilterForm{" +
                "filter='" + filter + '\'' +
                ", repositoryUrl='" + repositoryUrl + '\'' +
                ", branchName='" + branchName + '\'' +
                ", author='" + author + '\'' +
                ", commitsPage=" + commitsPage +
                ", entity='" + entity +
                '}';
    }
}
