/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.gitrepository.model;

import ru.ulstu.extractor.core.BaseEntity;

import javax.persistence.Entity;

@Entity
public class LineChange extends BaseEntity {

    private Boolean added = false;
    private Boolean removed = false;
    private String lineFrom;
    private String lineTo;

    public LineChange() {

    }

    public LineChange(boolean added, boolean removed, String lineFrom, String lineTo) {
        this.added = added;
        this.removed = removed;
        this.lineFrom = lineFrom;
        this.lineTo = lineTo;
    }

    public void setLineTo(String lineTo) {
        this.lineTo = lineTo;
    }

    public void setLineFrom(String lineFrom) {
        this.lineFrom = lineFrom;
    }


    public boolean getAdd() {
        return added;
    }

    public boolean getRemoved() {
        return removed;
    }

    public String getLineFrom() {
        return lineFrom;
    }

    public String getLineTo() {
        return lineTo;
    }

    public Boolean isAdded() {
        return added;
    }

    public void setAdded(Boolean added) {
        this.added = added;
    }

    public Boolean isRemoved() {
        return removed;
    }

    public void setRemoved(Boolean removed) {
        this.removed = removed;
    }
}
