/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.heuristic.component;

import org.springframework.stereotype.Component;

import java.io.File;
import java.util.List;

@Component
public class MavenBuildTool extends BuildTool {

    public MavenBuildTool() {
        super("Maven");
    }

    @Override
    public boolean canAppliedToProject(List<File> rootProjectFiles) {
        return rootProjectFiles.stream()
                .anyMatch(file -> file.getName().equals("pom.xml"));
    }

    @Override
    public String getSourceDirectoryPath() {
        return "src";
    }
}
