/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.heuristic.component;

import java.util.Locale;

public abstract class ProgrammingLanguage {
    private final String name;

    public ProgrammingLanguage(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public boolean canMappedByName(String programmingLanguageName) {
        if (programmingLanguageName == null || programmingLanguageName.isBlank()) {
            return false;
        }
        return getName().toLowerCase(Locale.ROOT).equals(programmingLanguageName.toLowerCase(Locale.ROOT))
                || programmingLanguageName.toLowerCase(Locale.ROOT).contains(getName().toLowerCase(Locale.ROOT));
    }
}
