/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.heuristic.model;

import java.io.File;

import static ru.ulstu.extractor.util.StringUtils.removePathPrefix;

public abstract class StructuralUnit {
    private final String pathToFile;
    private final String unitName;

    public StructuralUnit(String projectPath, File file) {
        this.pathToFile = removePathPrefix(file.getPath(), projectPath);
        this.unitName = file.getName();
    }

    public String getPathToFile() {
        return pathToFile;
    }

    public String getUnitName() {
        return unitName;
    }
}
