/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.heuristic.service;

import org.springframework.stereotype.Service;
import ru.ulstu.extractor.heuristic.component.BuildTool;

import java.io.File;
import java.util.List;
import java.util.Optional;

@Service
public class BuildToolService {
    private final List<BuildTool> buildTools;

    public BuildToolService(List<BuildTool> buildTools) {
        this.buildTools = buildTools;
    }

    public Optional<BuildTool> getProjectBuildTool(List<File> rootProjectFiles) {
        return buildTools.stream().filter(buildTool -> buildTool.canAppliedToProject(rootProjectFiles)).findAny();
    }
}
