package ru.ulstu.extractor.http;

import ru.ulstu.extractor.ts.model.TimeSeries;

import java.util.List;
import java.util.stream.Collectors;

public class JsonTimeSeries {
    private String name;
    private List<JsonTimeSeriesValue> values;

    public JsonTimeSeries(TimeSeries timeSeries) {
        this.name = timeSeries.getName();
        this.values = timeSeries.getValues()
                .stream()
                .map(JsonTimeSeriesValue::new)
                .collect(Collectors.toList());
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<JsonTimeSeriesValue> getValues() {
        return values;
    }

    public void setValues(List<JsonTimeSeriesValue> values) {
        this.values = values;
    }
}
