package ru.ulstu.extractor.http;

import ru.ulstu.extractor.ts.model.TimeSeriesValue;

import java.time.LocalDateTime;
import java.time.ZoneId;

public class JsonTimeSeriesValue {
    private LocalDateTime date;
    private Double value;

    public JsonTimeSeriesValue(TimeSeriesValue timeSeriesValue) {
        this.value = timeSeriesValue.getValue();
        this.date = timeSeriesValue.getDate()
                .toInstant()
                .atZone(ZoneId.systemDefault())
                .toLocalDateTime();
    }

    public LocalDateTime getDate() {
        return date;
    }

    public void setDate(LocalDateTime date) {
        this.date = date;
    }

    public Double getValue() {
        return value;
    }

    public void setValue(Double value) {
        this.value = value;
    }
}
