package ru.ulstu.extractor.rule.model;

import ru.ulstu.extractor.core.BaseEntity;
import ru.ulstu.extractor.ts.model.TimeSeriesType;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "rule")
public class DbRule extends BaseEntity {
    @ManyToOne
    private AntecedentValue firstAntecedentValue;

    @Enumerated(EnumType.STRING)
    private TimeSeriesType firstAntecedent;

    @ManyToOne
    private AntecedentValue secondAntecedentValue;

    @Enumerated(EnumType.STRING)
    private TimeSeriesType secondAntecedent;

    private String consequent;

    public DbRule() {
    }

    public DbRule(AntecedentValue firstAntecedentValue,
                  TimeSeriesType firstAntecedent,
                  AntecedentValue secondAntecedentValue,
                  TimeSeriesType secondAntecedent,
                  String consequent) {
        this.firstAntecedentValue = firstAntecedentValue;
        this.firstAntecedent = firstAntecedent;
        this.secondAntecedentValue = secondAntecedentValue;
        this.secondAntecedent = secondAntecedent;
        this.consequent = consequent;
    }

    public AntecedentValue getFirstAntecedentValue() {
        return firstAntecedentValue;
    }

    public void setFirstAntecedentValue(AntecedentValue firstAntecedentValue) {
        this.firstAntecedentValue = firstAntecedentValue;
    }

    public TimeSeriesType getFirstAntecedent() {
        return firstAntecedent;
    }

    public void setFirstAntecedent(TimeSeriesType firstAntecedent) {
        this.firstAntecedent = firstAntecedent;
    }

    public AntecedentValue getSecondAntecedentValue() {
        return secondAntecedentValue;
    }

    public void setSecondAntecedentValue(AntecedentValue secondAntecedentValue) {
        this.secondAntecedentValue = secondAntecedentValue;
    }

    public TimeSeriesType getSecondAntecedent() {
        return secondAntecedent;
    }

    public void setSecondAntecedent(TimeSeriesType secondAntecedent) {
        this.secondAntecedent = secondAntecedent;
    }

    public String getConsequent() {
        return consequent;
    }

    public void setConsequent(String consequent) {
        this.consequent = consequent;
    }
}
